Skip to content

Your postback notification for a rejected subscription.

POST
/order/example-postback-to-banking-subscription-rejected/[your_notification_url]

Every time a transaction has its status changed, your system will receive a notification from ours, so that you know if transactions were paid.

We expect that your system returns to ours: status code 200. If not, we’ll retry 4 more times.

object
event
required

Webhook event for a rejected subscription.

string
Allowed values: SUBSCRIPTION.REJECTED
Example
SUBSCRIPTION.REJECTED
occurredAt
required

When the event occurred (UTC ISO-8601).

string
Example
2026-02-19T13:40:05.020Z
data
required

The updated subscription data.

object
id
required

Identifier of the subscription.

string
Example
550e8400-e29b-41d4-a716-446655440000
externalId
required

The unique code on the partner system.

string
Example
partner-id
status
required

Status of the subscription.

string
Allowed values: REJECTED
Example
REJECTED
rejectionReason

Reason why the payer rejected the subscription. Only sent when the financial partner reports it.

string
Allowed values: PAYER_DOES_NOT_RECOGNIZE_RECEIVER PAYER_DOES_NOT_HAVE_INTEREST PAYER_REJECTS_RECURRING_PAYMENTS_TO_PJ
Example
PAYER_DOES_NOT_RECOGNIZE_RECEIVER
Examples

SUBSCRIPTION.REJECTED

The payer rejected the subscription. The “rejectionReason” is only sent when the financial partner reports it.

{
"event": "SUBSCRIPTION.REJECTED",
"occurredAt": "2026-02-19T13:40:05.020Z",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"externalId": "subscription-2024-0001",
"status": "REJECTED",
"rejectionReason": "PAYER_DOES_NOT_RECOGNIZE_RECEIVER"
}
}

The resource was returned successfully

object
returnCode
required

The current page.

string
Example
SUCCESS